/*
  SOS Project Classes.

  Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
  SOS Project is :
    Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
    Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ressources;

public class Lang 
{	
	//public static String STR_MAIN_FRAME_TITLE						= "SOS Main Window";
	public static String STR_SIMUL_FRAME_TITLE						= "SOS Project Simulation";
	//public static String STR_SIMUL_IMAGE_TEXT						= "SOS Simulation";
	

	
	
	public static String STR_BTN_SHOW								= "Nouvelle simulation...";
	public static String STR_BTN_UPDATE								= "Mettre à jour";
	public static String STR_BTN_GENERATE_OBJECTS					= "Lancer";
	public static String STR_BTN_CLOSE								= "Fermer";
	public static String STR_BTN_VALIDATE							= "Valider";
	public static String STR_BTN_CANCEL								= "Annuler";
	
	
	public static String STR_TITLE_PROPERTIES						= "Propriétés de l'image";
	public static String STR_TITLE_NORMALIZATION					= "Normalisation de l'image";
	public static String STR_TITLE_MANAGE_OBJECTS 					= "Distribution des objets.";
	public static String STR_TITLE_GENERATE_OBJECTS					= "Génération des objets";
	public static String STR_TITLE_BACK_NOISE						= "Bruit de fond";
	public static String STR_TITLE_GAUSSIAN_NOISE					= "Bruit gaussien";
	public static String STR_TITLE_NOISES							= "Bruits et déformations";
	public static String STR_TITLE_INTENSITY_STATS					= "Intensité";
	public static String STR_TITLE_DISTRIBUTION_STATS				= "Distribution";
	public static String STR_TITLE_INFORMATIONS						= "Informations";
	public static String STR_TITLE_FILTERS_MANAGER					= "Editeur de filtres";
	public static String STR_TITLE_DISTRIB_FUNCS_MANAGER			= "Editeur de fonctions";
	
	
	
	
	//public static String STR_OPT_TITLE_IMAGE 						= "Propriétés de l'image.";
	//public static String STR_OPT_TITLE_DISTANCE		 			= "Distance des galaxies.";
	//public static String STR_OPT_TITLE_MORPHOLOGY 				= "Morphologie des galaxies.";





	public static String STR_OPT_DISTRIB_NO							= "Aucune fonction";
	public static String STR_OPT_DISTRIB_1 							= "Fixe";
	
	
	public static String STR_OPT_FILTER_EMPTY						= "Aucune valeur";
	
	public static String STR_OPT_FILTER_U_DESC 						= "lointain ultra-violet [0.365µm]";
	public static String STR_OPT_FILTER_B_DESC 						= "proche ultra-violet [0.440µm]";
	public static String STR_OPT_FILTER_V_DESC 						= "visible [0.525µm]";
	public static String STR_OPT_FILTER_R_DESC 						= "proche infra-rouge [0.600µm]";
	public static String STR_OPT_FILTER_I_DESC 						= "lointain infra-rouge [0.770µm]";
	
	public static String STR_OPT_FILTER_SP11_DESC 					= "SPICA option 1  [42.5 µm]";
	public static String STR_OPT_FILTER_SP12_DESC 					= "SPICA option 1  [79.0 µm]";
	public static String STR_OPT_FILTER_SP13_DESC 					= "SPICA option 1  [153.0 µm]";

	public static String STR_OPT_FILTER_SP31_DESC 					= "SPICA option 2  [32.5 µm]";
	public static String STR_OPT_FILTER_SP32_DESC 					= "SPICA option 2  [50.0 µm]";
	public static String STR_OPT_FILTER_SP33_DESC 					= "SPICA option 2  [80.0 µm]";
	public static String STR_OPT_FILTER_SP34_DESC 					= "SPICA option 2  [150.0 µm]";
	
	public static String STR_OPT_FILTER_SPTZ_DESC 					= "SPITZER  [24.0 µm]";
	
	

	public static String STR_OPT_IMAGE_TITLE_ZONE 					= "Zone observée :";
	
	public static String STR_OPT_IMAGE_TITLE_COLOR_MONO				= "Image monochromatique :";
	public static String STR_OPT_IMAGE_TITLE_COLOR_RGB				= "Image colorisee RGB :";
	
	public static String STR_OPT_IMAGE_TITLE_NORM 					= "Normalisation :";
	public static String STR_OPT_IMAGE_ZONE_SIZE 					= "Taille de l'image (L x H) en pixels : ";
	public static String STR_OPT_IMAGE_ZONE_RES	 					= "Résolution d'un pixel (arcsec) : ";
	public static String STR_OPT_IMAGE_COLOR_FILTER_MONO			= "Filtre de l'observation : ";
	public static String STR_OPT_IMAGE_COLOR_FILTER_R				= "Filtre de la couleur R : ";
	public static String STR_OPT_IMAGE_COLOR_FILTER_G				= "Filtre de la couleur G : ";
	public static String STR_OPT_IMAGE_COLOR_FILTER_B				= "Filtre de la couleur B : ";
	
	public static String STR_OPT_IMAGE_NORM_TYPE					= "Type de normalisation : ";
	public static String STR_OPT_IMAGE_NORM_TYPE_SEP				= "Séparée";
	public static String STR_OPT_IMAGE_NORM_TYPE_COM				= "Commune";
	public static String STR_OPT_IMAGE_NORM_DELTA					= "Delta normalisation (+ 255) : ";
	public static String STR_OPT_IMAGE_NORM_LOG						= "Facteur de normalisation : ";
	
	public static String STR_OPT_IMAGE_SUMARY_1 					= "Taille de l'image : %sizex%x%sizey% px. Angle d'observation : %res% arcsec par pixel.";
	public static String STR_OPT_IMAGE_SUMARY_2_MONO				= "Monochromatique (%filter%).";
	public static String STR_OPT_IMAGE_SUMARY_2_TRIO				= "Colorisée RGB (%filterr%, %filterg%, %filterb%).";
	public static String STR_OPT_IMAGE_SUMARY_3_SEP					= "Normalisation séparée, ";
	public static String STR_OPT_IMAGE_SUMARY_3_COM					= "Normalisation commune, ";
	public static String STR_OPT_IMAGE_SUMARY_3_MAX					= "maximum à 255 + %delta_norm%.";
	
	public static String STR_OPT_MORPHO_TITLE_NB 					= "Types des galaxies présentes :";
	public static String STR_OPT_MORPHO_NB_ELLIPT 					= "Galaxies elliptiques (%) : ";
	public static String STR_OPT_MORPHO_NB_SPIRAL					= "Galaxies spirales (%) : ";
	public static String STR_OPT_MORPHO_NB_AIRY						= "Discs d'Airy (%) : ";
	public static String STR_OPT_MORPHO_SUMARY_1					= "Galaxies elliptiques (%elliptic_percent%%)";
	public static String STR_OPT_MORPHO_SUMARY_2					= "Galaxies spirales (%spiral_percent%%)";
	
	public static String STR_OPT_DISTRIB_TITLE_FIX	 				= "Distribution statique :";
	public static String STR_OPT_DISTRIB_TITLE_FUNC	 				= "Fonction de distribution :";
	public static String STR_OPT_DISTRIB_TITLE_SHOW	 				= "Apercu de la distribution :";
	public static String STR_OPT_DISTRIB_TITLE_POSITION				= "Position :";
	public static String STR_OPT_DISTRIB_FIX_NUMBER		 			= "Nombre :";
	public static String STR_OPT_DISTRIB_FIX_FLUX		 			= "Flux (Jy) :";
	public static String STR_OPT_DISTRIB_FUNC_FUNC		 			= "Fonction :";
	public static String STR_OPT_DISTRIB_POSITION_RANGEX			= "Plage pour les positions X : ";
	public static String STR_OPT_DISTRIB_POSITION_RANGEY			= "Plage pour les positions Y : ";
	
	
	public static String STR_OPT_NUMBER_NUMBER_STATIC				= "Nombre d'objets : ";
	//public static String STR_OPT_NUMBER_NUMBER_FUNCTION				= "Contrôlé par la fonction de distribution.";
	public static String STR_OPT_NUMBER_SUMARY_1_ALL				= "Positionement aléatoire dans toute l'image.";
	public static String STR_OPT_NUMBER_SUMARY_1_SAME				= "X et Y fixés à %pos%.";
	public static String STR_OPT_NUMBER_SUMARY_1_INT				= "X et Y entre %posmin% et %posmax%.";
	public static String STR_OPT_NUMBER_SUMARY_1_XALL				= "X quelconque ";
	public static String STR_OPT_NUMBER_SUMARY_1_XFIX				= "X fixé à %posx% ";
	public static String STR_OPT_NUMBER_SUMARY_1_XINT				= "X entre %xmin% et %xmax% ";
	public static String STR_OPT_NUMBER_SUMARY_1_YALL				= "et Y quelconque.";
	public static String STR_OPT_NUMBER_SUMARY_1_YFIX				= "et Y fixé à %posy%.";
	public static String STR_OPT_NUMBER_SUMARY_1_YINT				= "et Y entre %ymin% et %ymax%.";
	public static String STR_OPT_NUMBER_SUMARY_2_FIXED				= "Nombre fixé à %number% objet(s).";
	//public static String STR_OPT_NUMBER_SUMARY_2_DEFFUNC			= "Nombre déterminé par la fonction de distribution.";

	public static String STR_OPT_DISTANCE_TITLE_DISTANCE			= "Distance :";
	public static String STR_OPT_DISTANCE_DISTANCE_MANU				= "Distances (Kparsec) entre : ";
	//public static String STR_OPT_DISTANCE_DISTANCE_FUNCTION			= "Contrôlé par la fonction de distribution.";
	//public static String STR_OPT_DISTANCE_SUMARY_1					= "Pas d'effet de redshift.";
	public static String STR_OPT_DISTANCE_SUMARY_2_FIXED			= "Distances fixées à %dist% kilo parsec.";
	public static String STR_OPT_DISTANCE_SUMARY_2_INTER			= "Distances entre %distmin% et %distmax% Kparsec.";
	//public static String STR_OPT_DISTANCE_SUMARY_2_FUNC				= "Distances déterminées par la fonction de distribution.";

	

	


	
	public static final void loadFrench() {}
	
	public static final void loadEnglish() {}
	
	public static final void loadGerman() {}

}
