/*
 SOS Project Classes.

 Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
 SOS Project is :
 Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
 Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Dimension;

import kernel.Kernel;
import ui.main.SOSApplet;
import ui.main.SOSApplication;

public class SOSProject extends Applet
{

	private static final long	serialVersionUID	= 1L;


	/* version applet */
	public SOSProject()
	{
		try{
			this.setSize(new Dimension(Kernel.APPLET_WIDTH, Kernel.APPLET_HEIGHT));
			this.setLayout(new BorderLayout());
			this.add(new SOSApplet(), BorderLayout.CENTER);
		}catch(Exception ex) {Kernel.fireError(this.getClass().getName(), "SOSProject()", ex);}
	}

	/* version locale */
	public static void main(String[] args)
	{
		new SOSApplication(args);
	}
	

}
