/*
  SOS Project Classes.

  Copyright (C) 2006 SOS Project <http://sos.project.free.fr>
  SOS Project is :
    Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
    Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ressources;

import javax.swing.ImageIcon;

public class Icons
{
	
	public static final ImageIcon MENU_NORMALIZE		 				= loadIcon("mnuNormalize.png");
	public static final ImageIcon MENU_PROPERTIES		 				= loadIcon("mnuProperties.png");
	public static final ImageIcon MENU_GENERATE_OBJECTS		 			= loadIcon("mnuGenerateObjects.png");
	public static final ImageIcon MENU_MANAGE_OBJECTS		 			= loadIcon("mnuManageObjects.png");
	public static final ImageIcon MENU_INFOS		 					= loadIcon("mnuInfos.png");
	public static final ImageIcon MENU_GAUSSIAN_NOISE		 			= loadIcon("mnuGaussianNoise.png");
	public static final ImageIcon MENU_BACK_NOISE		 				= loadIcon("mnuBackNoise.png");
	public static final ImageIcon MENU_DISTRIB_STATS		 			= loadIcon("mnuDistribStats.png");
	public static final ImageIcon MENU_INTENS_STATS		 				= loadIcon("mnuIntensStats.png");
	
	public static final ImageIcon MENU_ABOUT			 				= loadIcon("mnuAbout.png");
	
	public static final ImageIcon ICON_ZOOM_MINUS_0		 				= loadIcon("iconZoomMinus0.png");
	public static final ImageIcon ICON_ZOOM_MINUS_1		 				= loadIcon("iconZoomMinus1.png");
	public static final ImageIcon ICON_ZOOM_PLUS_0		 				= loadIcon("iconZoomPlus0.png");
	public static final ImageIcon ICON_ZOOM_PLUS_1		 				= loadIcon("iconZoomPlus1.png");
	public static final ImageIcon ICON_POSITIONS_ON_0		 			= loadIcon("iconPositionsOn0.png");
	public static final ImageIcon ICON_POSITIONS_ON_1		 			= loadIcon("iconPositionsOn1.png");
	public static final ImageIcon ICON_POSITIONS_OFF_0		 			= loadIcon("iconPositionsOff0.png");
	public static final ImageIcon ICON_POSITIONS_OFF_1		 			= loadIcon("iconPositionsOff1.png");
	
	
	public static final ImageIcon ICON_PROPERTIES_0		 				= loadIcon("iconProperties0.jpg");
	public static final ImageIcon ICON_PROPERTIES_1		 				= loadIcon("iconProperties1.jpg");
	public static final ImageIcon ICON_STUDIES_0		 				= loadIcon("iconStudies0.jpg");
	public static final ImageIcon ICON_STUDIES_1		 				= loadIcon("iconStudies1.jpg");
	public static final ImageIcon ICON_DISTRIBUTION_0 					= loadIcon("iconDistribution0.jpg");
	public static final ImageIcon ICON_DISTRIBUTION_1 					= loadIcon("iconDistribution1.jpg");
	public static final ImageIcon ICON_NORMALIZATION_0		 			= loadIcon("iconNormalization0.jpg");
	public static final ImageIcon ICON_NORMALIZATION_1					= loadIcon("iconNormalization1.jpg");
	public static final ImageIcon ICON_NOISIFICATION_0		 			= loadIcon("iconNoises0.jpg");
	public static final ImageIcon ICON_NOISIFICATION_1		 			= loadIcon("iconNoises1.jpg");
	public static final ImageIcon ICON_GENERATION_0						= loadIcon("iconGeneration0.jpg");
	public static final ImageIcon ICON_GENERATION_1						= loadIcon("iconGeneration1.jpg");


	public static final ImageIcon ICON_DISTRIB_STATS_0					= loadIcon("iconDistribStats0.png");
	public static final ImageIcon ICON_DISTRIB_STATS_1					= loadIcon("iconDistribStats1.png");
	public static final ImageIcon ICON_INTENS_STATS_0					= loadIcon("iconIntensStats0.png");
	public static final ImageIcon ICON_INTENS_STATS_1					= loadIcon("iconIntensStats1.png");
	
	public static final ImageIcon LOGO_MAIN_470							= loadIcon("logoBlue470.jpg");

	private static final ImageIcon loadIcon(final String strName)
	{
		try{
			return new ImageIcon(Icons.class.getResource(strName));
		}catch(Exception ex) {}
		return null;
	}

}
