/*
 SOS Project Classes.

 Copyright (C) 2006, 2007 SOS Project <http://sos.project.free.fr>
 SOS Project is :
 Denis BURGARELLA @ OAMP <http://www.lam.oamp.fr/denis>
 Camille AMBROSI @ CMI <http://camille.ambrosi.free.fr>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package ui.main;

import ressources.Lang;
import kernel.Kernel;
import ui.UI;
import ui.simulation.SFrame;

public class SOSApplication
{

	public SOSApplication(final String[] args)
	{
		try {
			/* on initialise l'interface graphique */
			UI.init();
			/* langue par défaut */
			Lang.loadFrench();
			/* nouvelle fenetre */
			SFrame fr = new SFrame();
			fr.setBounds(120, 120, 800, 600);
			fr.setVisible(true);
		} catch (Exception ex) {
			Kernel.fireError(this.getClass().getName(), "SOSApplication()", ex);
		}
	}

}
